// To parse this JSON data, do
//
//     final contactListModel = contactListModelFromJson(jsonString);

import 'dart:convert';

import 'package:get/get.dart';

ContactListModel contactListModelFromJson(String str) =>
    ContactListModel.fromJson(json.decode(str));

String contactListModelToJson(ContactListModel data) =>
    json.encode(data.toJson());

class ContactListModel {
  ContactListModel({
    this.success,
    this.count,
    this.list,
  });

  bool? success;
  int? count;
  List<UsersList>? list;

  factory ContactListModel.fromJson(Map<String, dynamic> json) =>
      ContactListModel(
        success: json["success"] == null ? null : json["success"],
        count: json["count"] == null ? null : json["count"],
        list: json["list"] == null
            ? null
            : List<UsersList>.from(
                json["list"].map((x) => UsersList.fromJson(x))),
      );

  Map<String, dynamic> toJson() => {
        "success": success == null ? null : success,
        "count": count == null ? null : count,
        "list": list == null
            ? null
            : List<dynamic>.from(list!.map((x) => x.toJson())),
      };
}

class UsersList {
  UsersList({
    this.userId,
    this.profilePicture,
    this.serverUserId,
    this.groups,
    this.mobileEmail,
    this.name,
  });

  String? userId;
  String? profilePicture;
  String? serverUserId;
  List? groups;
  String? mobileEmail;
  String? name;
  var isSelected = false.obs;

  factory UsersList.fromJson(Map<String, dynamic> json) => UsersList(
        userId: json["userId"] == null ? null : json["userId"],
        profilePicture:
            json["profilePicture"] == null ? null : json["profilePicture"],
        serverUserId:
            json["serverUserId"] == null ? null : json["serverUserId"],
        groups: json["groups"] == null ? null : json["groups"],
        mobileEmail: json["mobile_email"] == null ? null : json["mobile_email"],
        name: json["name"] == null ? null : json["name"],
      );

  Map<String, dynamic> toJson() => {
        "userId": userId == null ? null : userId,
        "profilePicture": profilePicture == null ? null : profilePicture,
        "serverUserId": serverUserId == null ? null : serverUserId,
        "groups": groups == null ? null : groups,
        "mobile_email": mobileEmail == null ? null : mobileEmail,
        "name": name == null ? null : name,
      };
}
